#!/bin/sh

#Falcon OS インストーラー v0.1

#By T_Beluga

#関数の代入
t_beluga=/usr/share/t_beluga
kabe=/usr/share/backgrounds
beluga_tools=~/.beluga_tools
plymouth=/lib/plymouth/themes


q1(){

echo "あなたのPCの解像度はいくつですか??
1 1980x1080
2 1024x768
3 1280x800
3 その他の方"

echo -n "番号を入力してください。 : "

read question2

echo "起動音変更....."

sudo cp ./music/desktop-login.ogg /usr/share/sounds/ubuntu/stereo

echo "OK"

case ${question2} in


"1")
echo -n "1980x1080専用のファイルのコピー..."
sudo cp ./Kabe/1980* ${kabe}
sudo cp ./Login/1980* ${kabe}
echo "OK"

echo -n "起動画面の壁紙変更....."
cd ./plymouth/Kabe/
mv 1980x1080.png background.png
sudo cp ./background.png ${plymouth}/Ubuntu_GREEN_2_1 
echo "OK"
;;


"2")
echo -n "1024x768専用のファイルのコピー..."
sudo cp ./Kabe/1024* ${kabe}
sudo cp ./Login/1024* ${kabe}
echo "OK"
echo -n "起動画面の壁紙変更....."
cd ./plymouth/Kabe/

mv 1024x768.png background.png

sudo cp ./background.png ${plymouth}/Ubuntu_GREEN_2_1


echo "OK"

;;

"3")
echo -n "1280x800専用のファイルのコピー..."
sudo cp ./Kabe/1280* ${kabe}
sudo cp ./Login/1280* ${kabe}
echo "OK"
echo -n "起動画面の壁紙変更....."
cd ./plymouth/Kabe/

mv 1280x800.png background.png

sudo cp ./background.png ${plymouth}/Ubuntu_GREEN_2_1


echo "OK"

;;

*)
echo "壁紙の画質が落ちてもよい方は1、2自分の解像度の近い方を選択してください。
よくない方は当ブログへのコメントかメールでの報告をお願いします。"

sleep 10
q1
;;

esac
}

clear
sudo echo ""

echo "----------------------------------------------------"
echo ">Falcon OS Installer v0.11 [Bate]"
echo ">*更新内容*"
echo ">3月18日:1280x800の壁紙を追加"
echo ">"
echo ">http://aboutlinux712.blog91.fc2.com/  By T_Beluga   "
echo "----------------------------------------------------"

echo "インストールを開始しますか??"
echo "Please yes or no"
read question1

case ${question1} in

"no")
echo "端末を終了します。"
sleep 10
exit 
;;

"yes")






echo "パスワードを入力してください。"
echo -n "フォルダの作成中......."

sudo mkdir -p ${t_beluga}
sudo mkdir -p ${beluga_tools}

echo "OK"

echo -n "必要なファイルのコピー中......"

sudo cp -r ./Ber ${t_beluga}
sudo cp -r ./Folder ${t_beluga}
sudo cp -r ./Folder ${beluga_tools}
sudo cp -r ./icon ${beluga_tools}
sudo cp -r ./plymouth/Ubuntu_GREEN_2_1 ${plymouth}



echo "OK"

q1


echo "Alternatives Configuratorを起動します。"
echo "意味のわからない方はブログをご覧ください。"
sleep 5
/usr/sbin/galternatives

sudo update-initramfs -u
sudo update-grub
;;


*)

echo "yesかnoを入力してください。"
echo "終了します。"
sleep 3
exit

;;

esac



echo "必要なファイルのコピーを終了しました。"
echo "後のインストール方法はブログをご覧ください。"
echo "Enterで終了します。"
echo "By T_Beluga"
read a

exit
